package config

const (
	ConfigFileName = "config.json"
)

type Config struct {
	Central CentralConfig `json:"central" yaml:"central" toml:"central"`
	Probe   ProbeConfig   `json:"probe" yaml:"probe" toml:"probe"`
}

type CentralConfig struct {
	URL             string `required:"true" json:"url" yaml:"url" toml:"url"`
	APIKey          string `required:"true" json:"apiKey" yaml:"apiKey" toml:"apiKey"`
	ReadBufferSize  int    `default:"8192" json:"readBufferSize" yaml:"readBufferSize" toml:"readBufferSize"`
	WriteBufferSize int    `default:"8192" json:"writeBufferSize" yaml:"writeBufferSize" toml:"writeBufferSize"`
}

type ProbeConfig struct {
	Key *string `json:"key,omitempty" yaml:"key" toml:"key"`
}
